VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Variables
pluginfactory.h File Reference
`#include "pluginterfaces/base/ipluginbase.h"`

## Classes
class | CPluginFactory
| Default Class Factory implementation. More...

## Namespaces
namespace | Steinberg

## Macros
#define | BEGIN_FACTORY_CLASS(FactoryClass, vendor, url, email, flags)
#define | BEGIN_FACTORY(vendor, url, email, flags)
#define | DEF_CLASS(cid, cardinality, category, name, createMethod)
#define | DEF_CLASS1(cid, cardinality, category, name, createMethod)
#define | DEF_CLASS2(cid, cardinality, category, name, classFlags, subCategories, version, sdkVersion, createMethod)
#define | DEF_CLASS_W(cid, cardinality, category, name, classFlags, subCategories, version, sdkVersion, createMethod)
#define | DEF_CLASS_W2(cid, cardinality, category, name, classFlags, subCategories, vendor, version, sdkVersion, createMethod)
#define | END_FACTORY
#define | DEF_VST3_CLASS(pluginName, pluginVst3Categories, classFlags, pluginVersion, processorCID, processorCreateFunc, controllerCID, controllerCreateFunc)

## Variables
CPluginFactory * | gPluginFactory

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.